%define dfi %(which desktop-file-install &>/dev/null; echo $?)

Summary: A simple non-linear video editor
Name: kino
Version: 0.6.4
Release: 0.dag
License: GPL
Group: Applications/Multimedia
URL: http://www.schirmacher.de/arne/kino/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/home-made/apt/

Source: http://www.schirmacher.de/arne/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: libdv-devel, libavc1394-devel, libraw1394-devel
BuildRequires: libogg-devel, libvorbis-devel, a52dec-devel
BuildRequires: gtk+ >= 1.2, XFree86-devel, imlib-devel
BuildRequires: libxml2-devel, libquicktime-devel

%description
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

%package devel
Summary: A simple non-linear video editor
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This contains the C++ headers needed to build extensions for kino.

%prep
%setup

%build
%configure \
	--disable-dependency-tracking \
	--with-quicktime \
	--with-avcodec
%{__perl} -pi.orig -e 's|/usr/share/pixmaps/kino|\$(datadir)/pixmaps/kino|;
			s|^gnomedatadir = /usr/share$|gnomedatadir = \$(datadir)|' Makefile help/Makefile
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall

cat <<EOF >gnome-%{name}.desktop
[Desktop Entry]
Name=Kino
Comment=%{summary}
Icon=gnome-multimedia.png
Exec=kino
Terminal=false
Type=Application
EOF

%if %{dfi}
	%{__install} -d -m0755 %{buildroot}%{_datadir}/gnome/apps/Multimedia/
	%{__install} -m0644 gnome-%{name}.desktop %{buildroot}%{_datadir}/gnome/apps/Multimedia/
%else
	%{__install} -d -m0755 %{buildroot}%{_datadir}/applications
	desktop-file-install --vendor gnome                \
		--add-category X-Red-Hat-Base              \
		--add-category Application                 \
		--add-category AudioVideo                  \
		--dir %{buildroot}%{_datadir}/applications \
		gnome-%{name}.desktop
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%doc AUTHORS BUGS ChangeLog NEWS README*
%defattr (-, root, root, 0755)
%doc %{_mandir}/man1/*
%doc %{_datadir}/gnome/help/kino/
%{_bindir}/*
%{_datadir}/pixmaps/kino/
%if %{dfi}
	%{_datadir}/gnome/apps/Multimedia/*.desktop
%else
	%{_datadir}/applications/*.desktop
%endif

%files devel
%doc ABOUT-NLS 
%{_includedir}/kino/

%changelog
* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 0.6.4-0
- Updated to 0.6.4.

* Wed Feb 12 2003 Dag Wieers <dag@wieers.com> - 0.6.3-0
- Initial package. (using dar)
